classification
Title: include higher (../../) dirs fails
Type: behavior Stage:
Components: Distutils Versions: Python 2.6
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: eric.araujo Nosy List: eric.araujo, indiedan, tarek
Priority: normal Keywords:

Created on 2010-07-14 16:20 by indiedan, last changed 2010-09-08 03:01 by eric.araujo.

Messages (5)
msg110296 - (view) Author: Dan OD (indiedan) Date: 2010-07-14 16:20
MANIFEST.in example:

recursive-include ../../this *.that

fails to include files with

"warning: no files found matching '*.that' under directory '../../this'"

and also

include ../../this *.that

fails with

"warning: no files found matching '../../this'"

- odd situation I know, but including files in higher directories shouldn't be impossible should it? Thanks, Dan
msg110302 - (view) Author: Dan OD (indiedan) Date: 2010-07-14 17:34
Thinking about this - maybe including dirs above ./ is bad as it's not obvious where they should live in the sdist. 

My alternative would be to create links to ../../this in ./ but then distutils creates links rather than hard copies in sdist - is this something that can be avoided? 

Thanks again, Dan
msg110304 - (view) Author: Dan OD (indiedan) Date: 2010-07-14 17:49
Sorry for all the noise - this dynamic link thing seems to be fixed in 2.7 rendering this report 'closed'

Dan
msg110327 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-07-14 20:45
Can you tell if the docs fail to mention that? If they do, please reopen this as a documentation bug (change title, select component Documentation, and set status to open). Thank you!
msg113539 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-08-10 13:48
I think disallowing .. is fine, so I’m assigning to myself to make sure I’ll take time later to check the docs.
History
Date User Action Args
2010-09-08 03:01:31eric.araujosetstatus: closed -> open
2010-08-10 13:49:00eric.araujosetassignee: tarek -> eric.araujo
messages: + msg113539
2010-07-14 20:45:02eric.araujosetnosy: + eric.araujo
messages: + msg110327
2010-07-14 17:49:07indiedansetstatus: open -> closed

messages: + msg110304
2010-07-14 17:34:47indiedansetmessages: + msg110302
2010-07-14 16:20:36indiedancreate